<?php
/**
 * Setup Child Theme Styles
 */
function nerja_child_theme_enqueue_styles() {
	wp_enqueue_style( 'nerja_child_theme-style', get_stylesheet_directory_uri() . '/style.css', false, '1.1' );
}
// add_action( 'wp_enqueue_scripts', 'nerja_child_theme_enqueue_styles', 20 );


/**
 * Setup Child Theme Palettes
 *
 * @param string $palettes registered palette json.
 * @return string
 */
function nerja_child_theme_change_palette_defaults( $palettes ) {
	$palettes = '{"palette":[{"color":"#13b0bb","slug":"palette1","name":"Palette Color 1"},{"color":"#1199a3","slug":"palette2","name":"Palette Color 2"},{"color":"#333333","slug":"palette3","name":"Palette Color 3"},{"color":"#444444","slug":"palette4","name":"Palette Color 4"},{"color":"#787878","slug":"palette5","name":"Palette Color 5"},{"color":"#dddddd","slug":"palette6","name":"Palette Color 6"},{"color":"#e6e6e6","slug":"palette7","name":"Palette Color 7"},{"color":"#fafafa","slug":"palette8","name":"Palette Color 8"},{"color":"#ffffff","slug":"palette9","name":"Palette Color 9"}],"second-palette":[{"color":"#375944","slug":"palette1","name":"Palette Color 1"},{"color":"#284131","slug":"palette2","name":"Palette Color 2"},{"color":"#212121","slug":"palette3","name":"Palette Color 3"},{"color":"#525252","slug":"palette4","name":"Palette Color 4"},{"color":"#767676","slug":"palette5","name":"Palette Color 5"},{"color":"#e5e5e5","slug":"palette6","name":"Palette Color 6"},{"color":"#ede5d7","slug":"palette7","name":"Palette Color 7"},{"color":"#f5ece6","slug":"palette8","name":"Palette Color 8"},{"color":"#ffffff","slug":"palette9","name":"Palette Color 9"}],"third-palette":[{"color":"#f55047","slug":"palette1","name":"Palette Color 1"},{"color":"#d8453c","slug":"palette2","name":"Palette Color 2"},{"color":"#f3f3f0","slug":"palette3","name":"Palette Color 3"},{"color":"#f3f3f0","slug":"palette4","name":"Palette Color 4"},{"color":"#fdf1f1","slug":"palette5","name":"Palette Color 5"},{"color":"#3a3a3a","slug":"palette6","name":"Palette Color 6"},{"color":"#161615","slug":"palette7","name":"Palette Color 7"},{"color":"#1b1b1a","slug":"palette8","name":"Palette Color 8"},{"color":"#242422","slug":"palette9","name":"Palette Color 9"}],"active":"palette"}';
	return $palettes;
}
add_filter( 'kadence_global_palette_defaults', 'nerja_child_theme_change_palette_defaults', 20 );

/**
 * Setup Child Theme Defaults
 *
 * @param array $defaults registered option defaults with kadence theme.
 * @return array
 */
function nerja_child_theme_change_option_defaults( $defaults ) {
	$new_defaults = '{"site_background":{"desktop":{"color":"palette9"},"flag":true},"content_background":{"desktop":{"color":"palette9"},"flag":false},"buttons_color":{"color":"palette9","hover":"palette9"},"buttons_background":{"color":"palette1","hover":"palette2"},"buttons_border_colors":{"color":"","hover":""},"buttons_border":{"desktop":{"width":0,"unit":"px","style":"solid","color":"currentColor"},"flag":true},"buttons_shadow":{"color":"rgba(0,0,0,0)","hOffset":0,"vOffset":0,"blur":0,"spread":0,"inset":false},"buttons_shadow_hover":{"color":"rgba(0,0,0,0.1)","hOffset":0,"vOffset":0,"blur":0,"spread":0,"inset":false},"base_font":{"size":{"desktop":16},"lineHeight":{"desktop":1.6},"family":"Montserrat","google":true,"weight":"normal","variant":"regular","color":"palette4","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"sans-serif","flag":true},"h1_font":{"size":{"desktop":39},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette3","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":false},"h2_font":{"size":{"desktop":31},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette3","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"h3_font":{"size":{"desktop":25},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette3","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"h4_font":{"size":{"desktop":16},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette4","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"h5_font":{"size":{"desktop":13},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette4","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":false},"h6_font":{"size":{"desktop":10},"lineHeight":{"desktop":1.5},"family":"inherit","google":false,"weight":"600","variant":"600","color":"palette5","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"font_rendering":false,"brand_typography":{"size":{"desktop":26},"lineHeight":{"desktop":1.2},"family":"inherit","google":false,"weight":"700","variant":"700","color":"palette3","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"header_desktop_items":{"top":{"top_left":[],"top_left_center":[],"top_center":[],"top_right_center":[],"top_right":[]},"main":{"main_left":["logo"],"main_left_center":[],"main_center":[],"main_right_center":[],"main_right":["navigation","social"]},"bottom":{"bottom_left":[],"bottom_left_center":[],"bottom_center":[],"bottom_right_center":[],"bottom_right":[]},"flag":true},"header_social_items":{"items":[{"id":"facebook","enabled":true,"source":"icon","url":"","imageid":"","width":24,"icon":"facebook","label":"Facebook"},{"id":"twitter","enabled":true,"source":"icon","url":"","imageid":"","width":24,"icon":"twitter","label":"Twitter"},{"id":"instagram","enabled":true,"source":"icon","url":"","imageid":"","width":24,"icon":"instagram","label":"Instagram"},{"id":"trip_advisor","enabled":true,"source":"icon","url":"","imageid":"","width":24,"icon":"trip_advisor","label":"Trip Advisor","svg":""}],"flag":true},"header_social_show_label":false,"header_social_background":{"color":"palette9","hover":""},"header_social_style":"outline","header_sticky":"main","header_reveal_scroll_up":true,"primary_navigation_color":{"color":"palette3","hover":"palette-highlight","active":"palette1"},"primary_navigation_typography":{"size":{"desktop":16},"lineHeight":{"desktop":""},"family":"inherit","google":false,"weight":"600","variant":"600","sizeType":"px","lineType":"-","letterSpacing":{"desktop":""},"spacingType":"em","style":"normal","transform":"","fallback":"","flag":true},"footer_html_content":"{copyright} {year} {site-title} - Design by Chalet Engine","scroll_up":true,"scroll_up_color":{"color":"palette6","hover":"palette1"},"scroll_up_border_colors":{"color":"palette6","hover":"palette1"},"scroll_up_style":"outline","page_title_layout":"above","page_title_align":{"mobile":"","tablet":"","desktop":"center","flag":true},"page_title_element_breadcrumb":{"enabled":false,"show_title":true,"flag":false},"page_title_element_meta":{"id":"meta","enabled":false,"divider":"dot","author":true,"authorImage":false,"authorEnableLabel":true,"authorLabel":"","date":true,"dateTime":false,"dateEnableLabel":false,"dateLabel":"","dateUpdated":false,"dateUpdatedTime":false,"dateUpdatedDifferent":false,"dateUpdatedEnableLabel":false,"dateUpdatedLabel":"","comments":false,"flag":false},"page_layout":"normal","page_title":false,"page_content_style":"boxed","header_main_height":{"size":{"mobile":"","tablet":"","desktop":80},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":true},"header_logo_padding":{"size":{"desktop":["","","",""]},"unit":{"desktop":"px"},"locked":{"desktop":false},"flag":false},"content_spacing":{"size":{"mobile":2,"tablet":3,"desktop":2.5},"unit":{"mobile":"rem","tablet":"rem","desktop":"rem"},"flag":true},"post_title":true,"post_title_layout":"normal","post_title_align":{"mobile":"","tablet":"","desktop":"left","flag":false},"post_title_element_meta":{"id":"meta","enabled":true,"divider":"dot","author":false,"authorLink":true,"authorImage":false,"authorImageSize":25,"authorEnableLabel":true,"authorLabel":"","date":true,"dateTime":false,"dateEnableLabel":false,"dateLabel":"","dateUpdated":false,"dateUpdatedTime":false,"dateUpdatedDifferent":false,"dateUpdatedEnableLabel":false,"dateUpdatedLabel":"","categories":false,"categoriesEnableLabel":false,"categoriesLabel":"","comments":false,"flag":true},"post_title_element_categories":{"enabled":false,"style":"normal","divider":"vline","flag":true},"post_layout":"narrow","post_content_style":"boxed","post_vertical_padding":"show","post_feature_position":"behind","post_feature_width":"full","post_related_columns":"3","post_related_carousel_loop":false,"post_related_background":{"desktop":{"color":"#fafafa","image":{"url":"","size":"cover","repeat":"no-repeat","position":{"x":0.5,"y":0.5},"attachment":"scroll"},"type":"color"},"flag":false},"post_archive_title_layout":"above","post_archive_title_background":{"desktop":{"color":"palette9"},"flag":true},"post_archive_columns":"2","post_archive_element_meta":{"id":"meta","enabled":true,"divider":"dot","author":false,"authorLink":true,"authorImage":false,"authorImageSize":25,"authorEnableLabel":true,"authorLabel":"","date":true,"dateTime":false,"dateEnableLabel":false,"dateLabel":"","dateUpdated":false,"dateUpdatedTime":false,"dateUpdatedDifferent":false,"dateUpdatedEnableLabel":false,"dateUpdatedLabel":"","categories":false,"categoriesEnableLabel":false,"categoriesLabel":"","comments":false,"flag":true},"footer_items":{"top":{"top_1":["footer-widget4"],"top_2":["footer-widget6"],"top_3":[],"top_4":[],"top_5":[]},"middle":{"middle_1":["footer-widget1"],"middle_2":["footer-widget5"],"middle_3":["footer-widget2"],"middle_4":["footer-widget3"],"middle_5":[]},"bottom":{"bottom_1":["footer-html"],"bottom_2":[],"bottom_3":[],"bottom_4":[],"bottom_5":[]},"flag":false},"footer_widget2_vertical_align":{"mobile":"","tablet":"","desktop":"top","flag":false},"footer_widget3_align":{"mobile":"center","tablet":"","desktop":"left","flag":false},"footer_widget2_align":{"mobile":"center","tablet":"","desktop":"left","flag":true},"enable_footer_on_bottom":true,"footer_middle_column_spacing":{"size":{"mobile":"","tablet":"","desktop":30},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":false},"footer_middle_widget_spacing":{"size":{"mobile":"","tablet":"","desktop":10},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":true},"footer_middle_top_spacing":{"size":{"mobile":"","tablet":"","desktop":30},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":true},"footer_middle_layout":{"mobile":"row","tablet":"two-grid","desktop":"equal","flag":true},"footer_middle_direction":{"mobile":"","tablet":"","desktop":"row","flag":false},"footer_middle_bottom_spacing":{"size":{"mobile":"","tablet":"","desktop":0},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":false},"footer_middle_height":{"size":{"mobile":"","tablet":""},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":true},"footer_top_columns":"2","footer_top_layout":{"mobile":"row","tablet":"","desktop":"equal","flag":true},"footer_top_bottom_spacing":{"size":{"mobile":"","tablet":"","desktop":0},"unit":{"mobile":"px","tablet":"px","desktop":"px"},"flag":true},"footer_middle_columns":"4","footer_widget5_align":{"mobile":"center","tablet":"","desktop":"left","flag":false},"footer_widget1_align":{"mobile":"center","tablet":"","desktop":"left","flag":true},"footer_middle_contain":{"mobile":"","tablet":"","desktop":"standard","flag":false},"footer_widget6_align":{"mobile":"","tablet":"","desktop":"right","flag":false},"footer_middle_link_style":"plain","page_background":{"desktop":{"color":"palette8","image":{"url":"","size":"cover","repeat":"no-repeat","position":{"x":0.5,"y":0.5},"attachment":"scroll"},"type":"color"},"flag":true},"page_content_background":{"desktop":{"color":"palette9","image":{"url":"","size":"cover","repeat":"no-repeat","position":{"x":0.5,"y":0.5},"attachment":"scroll"},"type":"color"},"flag":true},"content_width":{"size":1520,"unit":"px"},"content_edge_spacing":{"size":{"mobile":"","tablet":"","desktop":1.5},"unit":{"mobile":"rem","tablet":"rem","desktop":"rem"},"flag":false},"content_narrow_width":{"size":1024,"unit":"px"},"boxed_shadow":{"color":"palette3","hOffset":0,"vOffset":0,"blur":15,"spread":-10,"inset":false},"header_sticky_shrink":false,"header_main_layout":{"mobile":"","tablet":"","desktop":"standard","flag":true},"boxed_spacing":{"size":{"mobile":1.5,"tablet":2,"desktop":5},"unit":{"mobile":"rem","tablet":"rem","desktop":"rem"},"flag":true},"post_footer_area_boxed":false,"post_feature_ratio":"2-3","post_comments":false,"post_title_element_breadcrumb":{"enabled":false,"show_title":true,"flag":false},"load_fonts_local":true,"enable_preload":false,"use_mobile_logo":false,"logo_layout":{"include":{"mobile":"","tablet":"logo_title","desktop":"logo_title"},"layout":{"mobile":"","tablet":"standard","desktop":"standard"},"flag":true},"brand_typography_color":{"hover":"palette3","active":"palette3","color":""},"heading_font":{"family":"inherit","google":false,"fallback":"","variant":"regular","flag":false},"header_main_background":{"desktop":{"color":"palette8"},"flag":true},"header_sticky_navigation_color":{"color":"palette3","hover":"palette1","active":"palette1"},"header_sticky_site_title_color":{"color":"palette3","hover":""},"header_sticky_navigation_background":{"color":"","hover":"","active":""},"header_sticky_background":{"desktop":{"color":"palette8"},"flag":false},"header_wrap_background":{"desktop":{"color":"palette8"},"flag":true}}';
	$new_defaults = json_decode( $new_defaults, true );
	return wp_parse_args( $new_defaults, $defaults );
}
add_filter( 'kadence_theme_options_defaults', 'nerja_child_theme_change_option_defaults', 20 );
/**
 * Setup Child Theme Starter
 *
 * @param array $data registered custom templates.
 * @return array
 */
function nerja_child_theme_child_add_starter_templates( $data ) {
	$data['nerja_theme'] = array(
		'slug'                => 'nerja_theme',
		'name'                => 'Nerja Theme',
		'local_content'       => get_stylesheet_directory() . '/starter/content.xml',
		'local_widget_data'   => get_stylesheet_directory() . '/starter/widget_data.json',
		'local_theme_options' => get_stylesheet_directory() . '/starter/theme_options.json',
		'url'                 => 'https://demo.villaengine.com/nerja',
		'image'               => get_stylesheet_directory_uri() . '/starter/preview.jpeg',
		'ecommerce'           => false,
		'homepage'            => 'Home',
		'blogpage'            => '',
		'type'                => 'blocks',
		'plugins'             => array(
			
		),
		'menus'       => array(
			'primary' => array(
				'menu'  => 'primary',
				'title' => 'Main Menu',
			),
'footer' => array(
				'menu'  => 'footer',
				'title' => 'Footer Menu',
			),
'secondary' => array(
				'menu'  => 'secondary',
				'title' => 'Company Menu',
			),

		),
	);
	return $data;
}
add_filter( 'kadence_starter_templates_custom_array', 'nerja_child_theme_child_add_starter_templates', 20 );

add_filter( 'kadence_custom_child_starter_templates_enable', '__return_true' );

/**
 * Setup Child Theme Starter Brand
 *
 * @param string $name the brand name.
 * @return string
 */
function nerja_child_theme_child_add_starter_templates_name( $name ) {
	return 'Villa Engine';
}
add_filter( 'kadence_custom_child_starter_templates_name', 'nerja_child_theme_child_add_starter_templates_name', 20 );

/**
 * Setup Child Theme Starter Logo
 *
 * @param string $url the file url.
 * @return string
 */
function nerja_child_theme_child_add_starter_templates_logo( $url ) {
	return get_stylesheet_directory_uri() . '/starter/logo.png';
}
add_filter( 'kadence_custom_child_starter_templates_logo', 'nerja_child_theme_child_add_starter_templates_logo', 20 );

/**
 * Setup Child Theme Cloud Library
 *
 * @param array $libraries the cloud libraries.
 * @return array
 */
function nerja_child_theme_child_add_cloud_library( $libraries ) {
	$libraries[] = array(
		'slug' => 'nerja_child_theme_child_library',
		'title' => 'Villa Engine',
		'key' => 'ybbKtCanFREE',
		'url' => 'https://cloud.villaengine.com',
	);
	return $libraries;
}
add_filter( 'kadence_blocks_custom_prebuilt_libraries', 'nerja_child_theme_child_add_cloud_library', 20 );
